Package jxl

# Interface Hyperlink

All Known Implementing Classes:
  `WritableHyperlink`

public interface Hyperlink
Hyperlink information. Only URLs or file links are supported Hyperlinks may apply to a range of cells; in such cases the methods getRow and getColumn return the cell at the top left of the range the hyperlink refers to. Hyperlinks have no specific cell format information applied to them, so the getCellFormat method will return null

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
Returns the column number of this cell
`File`
`getFile()`
Returns the local file eferenced by this Hyperlink
`int`
`getLastColumn()`
Returns the column number of the bottom right cell
`int`
`getLastRow()`
Returns the row number of the bottom right cell
`Range`
`getRange()`
Gets the range of cells which activate this hyperlink The get sheet index methods will all return -1, because the cells will all be present on the same sheet
`int`
`getRow()`
Returns the row number of this cell
`URL`
`getURL()`
Gets the URL referenced by this Hyperlink
`boolean`
`isFile()`
Determines whether this is a hyperlink to a file
`boolean`
`isLocation()`
Determines whether this is a hyperlink to a location in this workbook
`boolean`
`isURL()`
Determines whether this is a hyperlink to a web resource

## Method Details

### getRow

int getRow()
Returns the row number of this cell

Returns:
  the row number of this cell

### getColumn

int getColumn()
Returns the column number of this cell

Returns:
  the column number of this cell

### getRange

Range getRange()
Gets the range of cells which activate this hyperlink The get sheet index methods will all return -1, because the cells will all be present on the same sheet

Returns:
  the range of cells which activate the hyperlink

### isFile

boolean isFile()
Determines whether this is a hyperlink to a file

Returns:
  TRUE if this is a hyperlink to a file, FALSE otherwise

### isURL

boolean isURL()
Determines whether this is a hyperlink to a web resource

Returns:
  TRUE if this is a URL

### isLocation

boolean isLocation()
Determines whether this is a hyperlink to a location in this workbook

Returns:
  TRUE if this is a link to an internal location

### getLastRow

int getLastRow()
Returns the row number of the bottom right cell

Returns:
  the row number of this cell

### getLastColumn

int getLastColumn()
Returns the column number of the bottom right cell

Returns:
  the column number of this cell

### getURL

URL getURL()
Gets the URL referenced by this Hyperlink

Returns:
  the URL, or NULL if this hyperlink is not a URL

### getFile

File getFile()
Returns the local file eferenced by this Hyperlink

Returns:
  the file, or NULL if this hyperlink is not a file